<?php
include '../clases/db.php';


$db = new conexion;


$json = file_get_contents('php://input');   
$obj = json_decode($json);
$id = $obj->id;

// Returns a Json
header('Content-Type: application/json');
//header("Access-Control-Allow-Origin: *");
$estaciones;

switch ($id) {
    case '0':
        $query = "SELECT * FROM corridos";
             $resultado = $db->selectQuery($query);



              if(mysqli_num_rows($resultado)>1) //seleccionamos el usuario
              {
                while($row = mysqli_fetch_array($resultado)) 
                    {
                      //$id_proyecto = $row["id_proyecto"];

                        $id = $row["id"];
                        $nombre = $row["nombre"];
                        $descripcion = $row["descripcion"];
                        $ruta = $row["ruta"];
                        $img = $row["img"];

                        $est = array("id" => $id,"nombre" => $nombre,"desc" => $descripcion,"ruta" => $ruta,"img" => $img);

                        $estaciones["corridos"][] = $est;
                      //echo $row["adjunto"];
                    }

              }
    break;
        
    case '1':
            $query = "SELECT * FROM romanticas";
             $resultado = $db->selectQuery($query);



              if(mysqli_num_rows($resultado)>1) //seleccionamos el usuario
              {
                while($row = mysqli_fetch_array($resultado)) 
                    {
                      //$id_proyecto = $row["id_proyecto"];

                        $id = $row["id"];
                        $nombre = $row["nombre"];
                        $descripcion = $row["descripcion"];
                        $ruta = $row["ruta"];
                        $img = $row["img"];

                        $est = array("id" => $id,"nombre" => $nombre,"desc" => $descripcion,"ruta" => $ruta,"img" => $img);

                        $estaciones["romanticas"][] = $est;
                      //echo $row["adjunto"];
                    }

              }
            break;
    case '2':
            $query = "SELECT * FROM rockes";
             $resultado = $db->selectQuery($query);



              if(mysqli_num_rows($resultado)>1) //seleccionamos el usuario
              {
                while($row = mysqli_fetch_array($resultado)) 
                    {
                      //$id_proyecto = $row["id_proyecto"];

                        $id = $row["id"];
                        $nombre = $row["nombre"];
                        $descripcion = $row["descripcion"];
                        $ruta = $row["ruta"];
                        $img = $row["img"];

                        $est = array("id" => $id,"nombre" => $nombre,"desc" => $descripcion,"ruta" => $ruta,"img" => $img);

                        $estaciones["rock"][] = $est;
                      //echo $row["adjunto"];
                    }

              }
            break;
    case '3':
            $query = "SELECT * FROM rancheras";
             $resultado = $db->selectQuery($query);



              if(mysqli_num_rows($resultado)>1) //seleccionamos el usuario
              {
                while($row = mysqli_fetch_array($resultado)) 
                    {
                      //$id_proyecto = $row["id_proyecto"];

                        $id = $row["id"];
                        $nombre = $row["nombre"];
                        $descripcion = $row["descripcion"];
                        $ruta = $row["ruta"];
                        $img = $row["img"];

                        $est = array("id" => $id,"nombre" => $nombre,"desc" => $descripcion,"ruta" => $ruta,"img" => $img);

                        $estaciones["rancheras"][] = $est;
                      //echo $row["adjunto"];
                    }

              }
            break;
    case '4':
            $query = "SELECT * FROM banda";
             $resultado = $db->selectQuery($query);



              if(mysqli_num_rows($resultado)>1) //seleccionamos el usuario
              {
                while($row = mysqli_fetch_array($resultado)) 
                    {
                      //$id_proyecto = $row["id_proyecto"];

                        $id = $row["id"];
                        $nombre = $row["nombre"];
                        $descripcion = $row["descripcion"];
                        $ruta = $row["ruta"];
                        $img = $row["img"];

                        $est = array("id" => $id,"nombre" => $nombre,"desc" => $descripcion,"ruta" => $ruta,"img" => $img);

                        $estaciones["banda"][] = $est;
                      //echo $row["adjunto"];
                    }

              }
            break;
         case '5':
            $query = "SELECT * FROM nortena";
             $resultado = $db->selectQuery($query);



              if(mysqli_num_rows($resultado)>1) //seleccionamos el usuario
              {
                while($row = mysqli_fetch_array($resultado)) 
                    {
                      //$id_proyecto = $row["id_proyecto"];

                        $id = $row["id"];
                        $nombre = $row["nombre"];
                        $descripcion = $row["descripcion"];
                        $ruta = $row["ruta"];
                        $img = $row["img"];

                        $est = array("id" => $id,"nombre" => $nombre,"desc" => $descripcion,"ruta" => $ruta,"img" => $img);

                        $estaciones["norte"][] = $est;
                      //echo $row["adjunto"];
                    }

              }
            break;
        case '6':
            $query = "SELECT * FROM gruperas";
             $resultado = $db->selectQuery($query);



              if(mysqli_num_rows($resultado)>1) //seleccionamos el usuario
              {
                while($row = mysqli_fetch_array($resultado)) 
                    {
                      //$id_proyecto = $row["id_proyecto"];

                        $id = $row["id"];
                        $nombre = $row["nombre"];
                        $descripcion = $row["descripcion"];
                        $ruta = $row["ruta"];
                        $img = $row["img"];

                        $est = array("id" => $id,"nombre" => $nombre,"desc" => $descripcion,"ruta" => $ruta,"img" => $img);

                        $estaciones["gruperas"][] = $est;
                      //echo $row["adjunto"];
                    }

              }
            break;
        case '7':
            $query = "SELECT * FROM bonitas";
             $resultado = $db->selectQuery($query);



              if(mysqli_num_rows($resultado)>1) //seleccionamos el usuario
              {
                while($row = mysqli_fetch_array($resultado)) 
                    {
                      //$id_proyecto = $row["id_proyecto"];

                        $id = $row["id"];
                        $nombre = $row["nombre"];
                        $descripcion = $row["descripcion"];
                        $ruta = $row["ruta"];
                        $img = $row["img"];

                        $est = array("id" => $id,"nombre" => $nombre,"desc" => $descripcion,"ruta" => $ruta,"img" => $img);

                        $estaciones["bonitas"][] = $est;
                      //echo $row["adjunto"];
                    }

              }
            break;
         case '8':
            $query = "SELECT * FROM rockin";
             $resultado = $db->selectQuery($query);



              if(mysqli_num_rows($resultado)>1) //seleccionamos el usuario
              {
                while($row = mysqli_fetch_array($resultado)) 
                    {
                      //$id_proyecto = $row["id_proyecto"];

                        $id = $row["id"];
                        $nombre = $row["nombre"];
                        $descripcion = $row["descripcion"];
                        $ruta = $row["ruta"];
                        $img = $row["img"];

                        $est = array("id" => $id,"nombre" => $nombre,"desc" => $descripcion,"ruta" => $ruta,"img" => $img);

                        $estaciones["rock"][] = $est;
                      //echo $row["adjunto"];
                    }

              }
            break;
        case '9':
            $query = "SELECT * FROM rock80";
             $resultado = $db->selectQuery($query);



              if(mysqli_num_rows($resultado)>1) //seleccionamos el usuario
              {
                while($row = mysqli_fetch_array($resultado)) 
                    {
                      //$id_proyecto = $row["id_proyecto"];

                        $id = $row["id"];
                        $nombre = $row["nombre"];
                        $descripcion = $row["descripcion"];
                        $ruta = $row["ruta"];
                        $img = $row["img"];

                        $est = array("id" => $id,"nombre" => $nombre,"desc" => $descripcion,"ruta" => $ruta,"img" => $img);

                        $estaciones["rock"][] = $est;
                      //echo $row["adjunto"];
                    }

              }
            break;
        case '10':
            $query = "SELECT * FROM metal";
             $resultado = $db->selectQuery($query);



              if(mysqli_num_rows($resultado)>1) //seleccionamos el usuario
              {
                while($row = mysqli_fetch_array($resultado)) 
                    {
                      //$id_proyecto = $row["id_proyecto"];

                        $id = $row["id"];
                        $nombre = $row["nombre"];
                        $descripcion = $row["descripcion"];
                        $ruta = $row["ruta"];
                        $img = $row["img"];

                        $est = array("id" => $id,"nombre" => $nombre,"desc" => $descripcion,"ruta" => $ruta,"img" => $img);

                        $estaciones["rock"][] = $est;
                      //echo $row["adjunto"];
                    }

              }
            break;
        case '11':
            $query = "SELECT * FROM catolica";
             $resultado = $db->selectQuery($query);



              if(mysqli_num_rows($resultado)>1) //seleccionamos el usuario
              {
                while($row = mysqli_fetch_array($resultado)) 
                    {
                      //$id_proyecto = $row["id_proyecto"];

                        $id = $row["id"];
                        $nombre = $row["nombre"];
                        $descripcion = $row["descripcion"];
                        $ruta = $row["ruta"];
                        $img = $row["img"];

                        $est = array("id" => $id,"nombre" => $nombre,"desc" => $descripcion,"ruta" => $ruta,"img" => $img);

                        $estaciones["catolica"][] = $est;
                      //echo $row["adjunto"];
                    }

              }
            break;
        case '12':
            $query = "SELECT * FROM electronica";
             $resultado = $db->selectQuery($query);



              if(mysqli_num_rows($resultado)>1) //seleccionamos el usuario
              {
                while($row = mysqli_fetch_array($resultado)) 
                    {
                      //$id_proyecto = $row["id_proyecto"];

                        $id = $row["id"];
                        $nombre = $row["nombre"];
                        $descripcion = $row["descripcion"];
                        $ruta = $row["ruta"];
                        $img = $row["img"];

                        $est = array("id" => $id,"nombre" => $nombre,"desc" => $descripcion,"ruta" => $ruta,"img" => $img);

                        $estaciones["elect"][] = $est;
                      //echo $row["adjunto"];
                    }

              }
            break;
        case '13':
            $query = "SELECT * FROM gym";
             $resultado = $db->selectQuery($query);



              if(mysqli_num_rows($resultado)>1) //seleccionamos el usuario
              {
                while($row = mysqli_fetch_array($resultado)) 
                    {
                      //$id_proyecto = $row["id_proyecto"];

                        $id = $row["id"];
                        $nombre = $row["nombre"];
                        $descripcion = $row["descripcion"];
                        $ruta = $row["ruta"];
                        $img = $row["img"];

                        $est = array("id" => $id,"nombre" => $nombre,"desc" => $descripcion,"ruta" => $ruta,"img" => $img);

                        $estaciones["gym"][] = $est;
                      //echo $row["adjunto"];
                    }

              }
            break;
        case '14':
            $query = "SELECT * FROM reggaeton";
             $resultado = $db->selectQuery($query);



              if(mysqli_num_rows($resultado)>1) //seleccionamos el usuario
              {
                while($row = mysqli_fetch_array($resultado)) 
                    {
                      //$id_proyecto = $row["id_proyecto"];

                        $id = $row["id"];
                        $nombre = $row["nombre"];
                        $descripcion = $row["descripcion"];
                        $ruta = $row["ruta"];
                        $img = $row["img"];

                        $est = array("id" => $id,"nombre" => $nombre,"desc" => $descripcion,"ruta" => $ruta,"img" => $img);

                        $estaciones["regg"][] = $est;
                      //echo $row["adjunto"];
                    }

              }
            break;
        case '15':
            $query = "SELECT * FROM bebes";
             $resultado = $db->selectQuery($query);



              if(mysqli_num_rows($resultado)>1) //seleccionamos el usuario
              {
                while($row = mysqli_fetch_array($resultado)) 
                    {
                      //$id_proyecto = $row["id_proyecto"];

                        $id = $row["id"];
                        $nombre = $row["nombre"];
                        $descripcion = $row["descripcion"];
                        $ruta = $row["ruta"];
                        $img = $row["img"];

                        $est = array("id" => $id,"nombre" => $nombre,"desc" => $descripcion,"ruta" => $ruta,"img" => $img);

                        $estaciones["bebes"][] = $est;
                      //echo $row["adjunto"];
                    }

              }
            break;
        case '16':
            $query = "SELECT * FROM yoga";
             $resultado = $db->selectQuery($query);



              if(mysqli_num_rows($resultado)>1) //seleccionamos el usuario
              {
                while($row = mysqli_fetch_array($resultado)) 
                    {
                      //$id_proyecto = $row["id_proyecto"];

                        $id = $row["id"];
                        $nombre = $row["nombre"];
                        $descripcion = $row["descripcion"];
                        $ruta = $row["ruta"];
                        $img = $row["img"];

                        $est = array("id" => $id,"nombre" => $nombre,"desc" => $descripcion,"ruta" => $ruta,"img" => $img);

                        $estaciones["yoga"][] = $est;
                      //echo $row["adjunto"];
                    }

              }
            break;
        case '17':
            $query = "SELECT * FROM indie";
             $resultado = $db->selectQuery($query);



              if(mysqli_num_rows($resultado)>1) //seleccionamos el usuario
              {
                while($row = mysqli_fetch_array($resultado)) 
                    {
                      //$id_proyecto = $row["id_proyecto"];

                        $id = $row["id"];
                        $nombre = $row["nombre"];
                        $descripcion = $row["descripcion"];
                        $ruta = $row["ruta"];
                        $img = $row["img"];

                        $est = array("id" => $id,"nombre" => $nombre,"desc" => $descripcion,"ruta" => $ruta,"img" => $img);

                        $estaciones["indie"][] = $est;
                      //echo $row["adjunto"];
                    }

              }
            break;
        case '18':
            $query = "SELECT * FROM infantil";
             $resultado = $db->selectQuery($query);



              if(mysqli_num_rows($resultado)>1) //seleccionamos el usuario
              {
                while($row = mysqli_fetch_array($resultado)) 
                    {
                      //$id_proyecto = $row["id_proyecto"];

                        $id = $row["id"];
                        $nombre = $row["nombre"];
                        $descripcion = $row["descripcion"];
                        $ruta = $row["ruta"];
                        $img = $row["img"];

                        $est = array("id" => $id,"nombre" => $nombre,"desc" => $descripcion,"ruta" => $ruta,"img" => $img);

                        $estaciones["infantil"][] = $est;
                      //echo $row["adjunto"];
                    }

              }
            break;
}



// Make Json
//echo $db->JsonQuery($estaciones);
echo json_encode($estaciones);
$db->disconnect();//Close connection

?>
